Subject: Re: 24.4.50; set-default-font problem on Ubuntu 14.04 (Similar to bug#17486)

From: "Foivos S. Zakkak" <[email-masked]>
Date: Sat, 27 Sep 2014 04:54:43 +0300

It was indeed my configuration. I use a custom Inconsolata font in OTF
format and I was missing libotf-dev.

Thank you very much for your time, next time I should be more careful.

Foivos

On 09/27/14 04:14 AM, Paul Eggert wrote:
> I do not observe the problem on my Ubuntu 14.04 platform, after I installed the
> fonts-inconsolata package.  Perhaps that package, or the appropriate development
> libraries are not present?  You might try to install enough development
> libraries to match the "Configured features" listed below:
>
> In GNU Emacs 24.4.50.6 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
>   of 2014-09-26 on day
> Repository revision: 117756 [email-masked]
> Windowing system distributor `The X.Org Foundation', version 11.0.11501000
> System Description:	Ubuntu 14.04.1 LTS
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
> NOTIFY GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
>
> Important settings:
>    value of $LC_ALL: en_US.utf8
>    value of $LC_COLLATE: en_US.UTF-8
>    value of $LC_CTYPE: en_US.UTF-8
>    value of $LC_MESSAGES: en_US.UTF-8
>    value of $LANG: C
>    value of $XMODIFIERS: @im=ibus
>    locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>    tooltip-mode: t
>    electric-indent-mode: t
>    mouse-wheel-mode: t
>    tool-bar-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    line-number-mode: t
>
> Recent input:
> <escape> x r e p o r t - e m a c s - b u g <return
>  >
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message dired format-spec
> rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
> rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
> ietf-drums mm-util help-fns mail-prsvr mail-utils time-date tooltip
> electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
> tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
> lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
> georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese hebrew greek romanian slovak czech european ethiopic
> indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
> abbrev minibuffer nadvice loaddefs button faces cus-face macroexp files
> text-properties overlay sha1 md5 base64 format env code-pages mule
> custom widget hashtable-print-readable backquote make-network-process
> dbusbind gfilenotify dynamic-setting system-font-setting
> font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)
>
> Memory information:
> ((conses 16 76123 3936)
>   (symbols 48 17961 0)
>   (miscs 40 38 88)
>   (strings 32 11216 4563)
>   (string-bytes 1 298914)
>   (vectors 16 9975)
>   (vector-slots 8 390555 14831)
>   (floats 8 72 61)
>   (intervals 56 185 0)
>   (buffers 976 11)
>   (heap 1024 20453 800))

--
WWW: foivos.zakkak.net
PGP: 7B40 69D9 29BA AE91 C0B3  220A 0846 BFD1 03F0 4EA1